cgCallStateSetCallback(3)

NAME
cgCallStateSetCallback - calls the state setting callback function for a state assignment

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgCallStateSetCallback( CGstateassignment sa );

PARAMETERS

sa  The state assignment handle.

RETURN VALUES
Returns the boolean value returned by the callback function. It should be CG_TRUE upon success.

Returns CG_TRUE if no callback function was defined.

DESCRIPTION
cgCallStateSetCallback calls the graphics state setting callback function for the given state assignment.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

HISTORY
cgCallStateSetCallback was introduced in Cg 1.4.

SEE ALSO
the cgSetPassState manpage, the cgSetStateCallbacks manpage, the cgCallStateResetCallback manpage, the cgCallStateValidateCallback manpage